# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define __libtoolize /bin/true
%define name    cubetest
%define version 0.9.3
%define release 1.2006mcnl
%define summary Test your 3D looking skills.
%define section More applications/Education/Sciences

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:            http://www.vandenoever.info/software/cubetest/
License:        GPL
Group:          Education
Packager:       Marco Meijer <marco@mandrivaclub.nl>

Source0:        %{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
BuildRequires:  libxfree86-devel libqt3-devel

%description
Most people know the type of question: a cube is shown together with four alternatives. The objective is to point out the cube that is identical to the one shown. The cubes from which you can choose are oriented differently from the first cube and one has to turn the cubes mentally in order to decide which ones are the same.

%prep

%setup -q
%setup -q -T -D -a1

%build
%configure 

%make 

%install

%makeinstall 

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="%name" \
longtitle="%summary"
EOF

cat > %buildroot/%_menudir/fun << EOF
?package(%name): \
command="%_bindir/fun" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="fun" \
longtitle="find the right animal"
EOF


%__install -D -m 644 %{name}-48.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 %{name}-32.png %buildroot/%_iconsdir/%name.png
%__install -D -m 644 %{name}-16.png %buildroot/%_miconsdir/%name.png

%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,0755) 
%doc README NEWS COPYING AUTHORS 
%{_bindir}/%name
%{_bindir}/fun
%{_menudir}/%name
%{_menudir}/fun
%{_datadir}/%name/*
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog 

* Sun Oct 16 2005 Marco Meijer <marco@mandrivaclub.nl> 0.9.3-1.2006mcnl
- Mandriva 2006 rebuild

* Tue Jun 07 2005 Marco Meijer <marco@mandrivaclub.nl> 0.9.3-1.102mcnl
- Mandriva LE2005 rebuild

* Thu Jan 13 2005 Marco Meijer <marco@mandrivaclub.nl> 0.9.3-1.101mcnl
Mandrakelinux 10.1 versie

*Sun Jun 20 2004 Marco Meijer <marco@mandrivaclub.nl> 2mcnl
change place in menu

*Sun May 30 2004 Marco Meijer <marco@mandrivaclub.nl> 1mcnl
new release


